ALAS-2020-1370


Amazon Linux AMI Security Advisory: ALAS-2020-1370
Advisory Release Date: 2020-06-03 17:18 Pacific
Severity: Low

Issue Overview:

In Apache HTTP Server 2.4.0 to 2.4.41, redirects configured with mod_rewrite that were intended to be self-referential might be fooled by encoded newlines and redirect instead to an an unexpected URL within the request URL.(CVE-2020-1927 )

In Apache HTTP Server 2.4.0 to 2.4.41, mod_proxy_ftp may use uninitialized memory when proxying to a malicious FTP server.(CVE-2020-1934 )


Affected Packages:

httpd24


Issue Correction:
Run yum update httpd24 to update your system.

New Packages:
i686:
    mod24_md-2.4.43-1.89.amzn1.i686
    mod24_proxy_html-2.4.43-1.89.amzn1.i686
    httpd24-tools-2.4.43-1.89.amzn1.i686
    mod24_ldap-2.4.43-1.89.amzn1.i686
    httpd24-debuginfo-2.4.43-1.89.amzn1.i686
    mod24_ssl-2.4.43-1.89.amzn1.i686
    mod24_session-2.4.43-1.89.amzn1.i686
    httpd24-devel-2.4.43-1.89.amzn1.i686
    httpd24-2.4.43-1.89.amzn1.i686

noarch:
    httpd24-manual-2.4.43-1.89.amzn1.noarch

src:
    httpd24-2.4.43-1.89.amzn1.src

x86_64:
    mod24_proxy_html-2.4.43-1.89.amzn1.x86_64
    httpd24-tools-2.4.43-1.89.amzn1.x86_64
    mod24_ssl-2.4.43-1.89.amzn1.x86_64
    httpd24-debuginfo-2.4.43-1.89.amzn1.x86_64
    mod24_md-2.4.43-1.89.amzn1.x86_64
    mod24_session-2.4.43-1.89.amzn1.x86_64
    httpd24-2.4.43-1.89.amzn1.x86_64
    httpd24-devel-2.4.43-1.89.amzn1.x86_64
    mod24_ldap-2.4.43-1.89.amzn1.x86_64